CVE-2000-0615

Current Description

LPRng 3.6.x improperly installs lpd as setuid root, which can allow local users to append lpd trace and logging messages to files.

Basic Data

PublishedJuly 19, 2000
Last ModifiedOctober 10, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:L/AC:L/Au:N/C:P/I:N/A:N
CVSS 2 - Access VectorLOCAL
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactNONE
CVSS 2 - Base Score2.1
SeverityLOW
Exploitability Score3.9
Impact Score2.9
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3OSAstart TechnologiesLprng3.6.1*******
    2.3OSAstart TechnologiesLprng3.6.2*******
    2.3OSAstart TechnologiesLprng3.6.3*******
    2.3OSAstart TechnologiesLprng3.6.4*******
    2.3OSAstart TechnologiesLprng3.6.5*******
    2.3OSAstart TechnologiesLprng3.6.6*******
    2.3OSAstart TechnologiesLprng3.6.7*******
    2.3OSAstart TechnologiesLprng3.6.8*******
    2.3OSAstart TechnologiesLprng3.6.9*******
    2.3OSAstart TechnologiesLprng3.6.10*******
    2.3OSAstart TechnologiesLprng3.6.11*******
    2.3OSAstart TechnologiesLprng3.6.12*******
    2.3OSAstart TechnologiesLprng3.6.13*******
    2.3OSAstart TechnologiesLprng3.6.14*******
    2.3OSAstart TechnologiesLprng3.6.15*******

Vulnerable Software List

VendorProductVersions
Astart Technologies Lprng 3.6.1, 3.6.10, 3.6.11, 3.6.12, 3.6.13, 3.6.14, 3.6.15, 3.6.2, 3.6.3, 3.6.4, 3.6.5, 3.6.6, 3.6.7, 3.6.8, 3.6.9

References

NameSourceURLTags
20000709 LPRng lpd should not be SETUID roothttp://archives.neohapsis.com/archives/bugtraq/2000-07/0117.htmlBUGTRAQPatch Vendor Advisory
1447http://www.securityfocus.com/bid/1447BIDExploit Patch Vendor Advisory
lpd-suid-root(7361)https://exchange.xforce.ibmcloud.com/vulnerabilities/7361XF